#include<bits/stdc++.h>

using namespace std;

int main(void)
{
    double p, q, r;
    int L, D;
    int brojac=0;
    cin >> p >> q >> r >> L >> D;
    for(int i=L; i<=D; ++i)
    {
        if(ceil(i/p) + ceil(i/q) + ceil(i/r) <= i)
            brojac++;
    }
    cout << brojac;
    return 0;
}